Bug 1459625 - Strange choices in spec file for rpm build.
Strange choices in spec file for rpm build.
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine-sdk-python
Classification: oVirt
Component: Packaging.rpm (Show other bugs)
4.1.4
Unspecified Unspecified
unspecified Severity low (vote)
: ovirt-4.1.5
: 4.1.6
Assigned To: Fabrice Bacchella
Jiri Belka
: CodeChange
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-07 11:40 EDT by Fabrice Bacchella
Modified: 2017-08-23 04:02 EDT (History)
8 users (show)

See Also:
Fixed In Version: python-ovirt-engine-sdk4-4.1.6
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-23 04:02:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.1+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 77968 None None None 2017-06-07 13:23 EDT
oVirt gerrit 77981 master ABANDONED Removes now useless Provides and Obsoletes from spec.*.in 2017-06-09 03:12 EDT
oVirt gerrit 78022 master MERGED Removes now useless Provides and Obsoletes from spec.*.in 2017-06-15 03:50 EDT
oVirt gerrit 78202 sdk_4.1 MERGED Removes now useless Provides and Obsoletes from spec.*.in 2017-06-15 04:01 EDT

  None (edit)
Description Fabrice Bacchella 2017-06-07 11:40:14 EDT
If I look at https://github.com/oVirt/ovirt-engine-sdk/blob/master/packaging/spec.el7.in,

I see:

Provides: ovirt-engine-sdk = %{version}-%{release}
Obsoletes: ovirt-engine-sdk < 3.3.0.6

It should not provides as a "generic SDK", without python in the name, it's the python sdk.

Both SDK 3 and 4 can be used at the same time, that's why they have different name. So why sdk4 obsoletes the sdk3, preventing to install both at the same time ?
Comment 1 Juan Hernández 2017-06-07 11:55:32 EDT
That is history. Version 3 of the SDK used to be named 'ovirt-engine-sdk', till version 3.3.0.6, when it was renamed to 'ovirt-engine-sdk-python'.

These lines were carried over when version 4 of the SDK was created. They aren't needed and should be removed. However they shouldn't prevent the installation of a recent version 3 of the SDK, as it is named 'ovirt-engine-sdk-python'.
Comment 2 Juan Hernández 2017-06-07 12:19:32 EDT
Care to submit a patch to gerrit to remove those lines from the .spec files? It is simple, and a good way to get familiar with gerrit.
Comment 3 Lukas Svaty 2017-07-11 02:38:56 EDT
Proposing CodeChange as no additional functionality was added nor removed.
Comment 4 Jiri Belka 2017-08-07 03:54:06 EDT
ok, python-ovirt-engine-sdk4-4.1.6-1

no more Provides & Obsoletes in the spec file

# rpm2cpio python-ovirt-engine-sdk4-4.1.6-1.el7ev.src.rpm | cpio --to-stdout -i python-ovirt-engine-sdk4.spec 2>/dev/null | grep -qE '^(Provides|Obsoletes)' ; echo $?
1

Note You need to log in before you can comment on or make changes to this bug.